 
\begin{titlepage}
\begin{center}
\newcommand{\HRule}{\rule{\linewidth}{0.5mm}}
% Upper part of the page. The '~' is needed because only works if a paragraph has started.
\begin{figure}%
    \centering
    \subfloat{{\includegraphics[width=5cm]{nl.png} }}%
    \qquad
    \subfloat{{\includegraphics[width=5cm]{LOGO_SU_HORIZ_SEUL_RVB.png} }}%
\end{figure}

\textsc{\Large }\bigbreak
\bigbreak
\bigbreak
\bigbreak
\bigbreak



% Title
\HRule \\[0.4cm]

{\huge \bfseries 
Meta-programmation en OCaml avec ppxlib.\\
\bigbreak


Applications à la bibliothèque data-encoding\medbreak

 }

\HRule
\bigbreak
\bigbreak


{\Large \bfseries 

\bigbreak
\bigbreak
\bigbreak
\bigbreak
\bigbreak
\bigbreak
\bigbreak
\bigbreak

 }



% Author and supervisor
\begin{minipage}[t]{0.4\textwidth}
\begin{flushleft} \LARGE
\medbreak
\medbreak
\medbreak
\medbreak
\medbreak
\medbreak
\medbreak
\medbreak

\emph{Auteur :}\\
Artemiy\textsc{ Rozovyk}\\

\end{flushleft}
\end{minipage}
\begin{minipage}[t]{0.5\textwidth}
\begin{flushright} \LARGE
\medbreak
\medbreak
\medbreak
\medbreak
\medbreak
\medbreak
\medbreak
\medbreak

\emph{Responsable de stage :}\\
\medbreak
Ilias\textsc{ Garnier}\\
\medbreak

\emph{Co-encadrants de stage :}\\
\medbreak
Mehdi\textsc{ Bouaziz}\\
Julien\textsc{ Tesson}\\
Mathias\textsc{ Bourgoin}\\

\medbreak

\emph{Responsable pédagogique :}\\
\medbreak

Antoine\textsc{ Genitrini}\\
\end{flushright}
\end{minipage}

\vfill

% Bottom of the page
{\large \today}

\end{center}
\end{titlepage}
  
  
\newpage